com.impinj.stp

## Interface StpApi.CartonContentsJobOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.CartonContentsJob, StpApi.CartonContentsJob.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.CartonContentsJobOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCartonSpacing()` DEPRECATED
    `int` | `getCartonVelocity()` Speed of the cartons measured in millimeters / second
    `int` | `getEnterTriggerOffset()` Distance in millimeters from the enter trigger to the center of the tunnel
    `int` | `getExitTriggerOffset()` Distance in millimeters from the exit trigger to the center of the tunnel
    `int` | `getJobId()`
    `boolean` | `getReadTid()` Setting to false disables reading the TID.
    `int` | `getStartTriggerOffset()` DEPRECATED
    `int` | `getStopTriggerOffset()` DEPRECATED
    `boolean` | `hasCartonSpacing()` DEPRECATED
    `boolean` | `hasCartonVelocity()` Speed of the cartons measured in millimeters / second
    `boolean` | `hasEnterTriggerOffset()` Distance in millimeters from the enter trigger to the center of the tunnel
    `boolean` | `hasExitTriggerOffset()` Distance in millimeters from the exit trigger to the center of the tunnel
    `boolean` | `hasJobId()`
    `boolean` | `hasReadTid()` Setting to false disables reading the TID.
    `boolean` | `hasStartTriggerOffset()` DEPRECATED
    `boolean` | `hasStopTriggerOffset()` DEPRECATED

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasJobId

          boolean hasJobId()

    - #### getJobId

          int getJobId()

    - #### hasEnterTriggerOffset

          boolean hasEnterTriggerOffset()

      Distance in millimeters from the enter trigger to the center of the tunnel

    - #### getEnterTriggerOffset

          int getEnterTriggerOffset()

      Distance in millimeters from the enter trigger to the center of the tunnel

    - #### hasExitTriggerOffset

          boolean hasExitTriggerOffset()

      Distance in millimeters from the exit trigger to the center of the tunnel

    - #### getExitTriggerOffset

          int getExitTriggerOffset()

      Distance in millimeters from the exit trigger to the center of the tunnel

    - #### hasCartonVelocity

          boolean hasCartonVelocity()

      Speed of the cartons measured in millimeters / second

    - #### getCartonVelocity

          int getCartonVelocity()

      Speed of the cartons measured in millimeters / second

    - #### hasReadTid

          boolean hasReadTid()

      Setting to false disables reading the TID. This can improve overall carton accuracy.

    - #### getReadTid

          boolean getReadTid()

      Setting to false disables reading the TID. This can improve overall carton accuracy.

    - #### hasCartonSpacing

          boolean hasCartonSpacing()

      DEPRECATED

    - #### getCartonSpacing

          int getCartonSpacing()

      DEPRECATED

    - #### hasStartTriggerOffset

          boolean hasStartTriggerOffset()

      DEPRECATED

    - #### getStartTriggerOffset

          int getStartTriggerOffset()

      DEPRECATED

    - #### hasStopTriggerOffset

          boolean hasStopTriggerOffset()

      DEPRECATED

    - #### getStopTriggerOffset

          int getStopTriggerOffset()

      DEPRECATED